Subject: RE: (ngtrans) Re: v4 mapped multicast addresses

From: "Dave Thaler" <[email-masked]>
Date: Thu, 7 Sep 2000 09:18:40 -0700

Erik Nordmark writes:
> I don't think this is necessary for real applications since they
> presumably know whether they are using to use IPv6 or IPv4 multicast
> before creating the socket.

This is only partially true.  A protocol-independent application
would likely get the address from either getaddrinfo(), or from
parsing an SDP description.  Both of these methods can generate
a sockaddr in either AF_INET or AF_INET6, or in AF_INET6 with v4-
mapped addresses.  In the getaddrinfo case, the app doesn't "know" 
unless you add code to check.
In the SDP case, there's no standard library that I'm aware of,
but some libraries may exist that work similarly to getaddrinfo().

-Dave